Download it now!
Bug 117551 - [NEWHELP] Migrate New Help icons from PNG to SVG
Summary: [NEWHELP] Migrate New Help icons from PNG to SVG
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:6.2.0
Keywords: difficultyInteresting, easyHack
Depends on:
Blocks: New-Help
  Show dependency treegraph
 
Reported: 2018-05-10 15:31 UTC by Olivier Hallot
Modified: 2019-05-29 08:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2018-05-10 15:31:47 UTC
New Help is using now the Colibre icon set. The set source files are SVG but all references to icons in help pages are for PNG format.

Changing the references in images will trigger retranslation, which is undesired.

This enhancement will consider

1) building the help package (offline and online) with Colibre SVG icon set.

2) change all references of icon.png to icon.svg , muting retranslations of the <image> tag.

3) adjust the CSS and XSLT accordingly.
Comment 1 Olivier Hallot 2018-07-25 11:33:18 UTC Comment hidden (obsolete)
Comment 2 Xisco Faulí 2018-08-25 02:41:00 UTC
A polite ping, still working on this bug?
Comment 3 Olivier Hallot 2018-09-05 20:24:20 UTC
Please disregard completely comment#1.

Change is trivial and patch is in gerrit.

Sorry for the mess.
Comment 4 Commit Notification 2018-09-06 15:07:29 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=39da00d7b4006f8bffe2075ac7c58afbdbc81785

tdf#117551 Change icons to SVG equivalent
Comment 5 Adolfo Jayme 2018-09-07 00:09:08 UTC
Works awesomely! Muito obrigado!